Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition

# Class DispatchFrequencyCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.DispatchFrequencyCondition

All Implemented Interfaces:
  `Serializable`

public class DispatchFrequencyCondition extends DispatchCondition
Условие отправки рассылки по частоте отправки. Отправлять не чаще, чем раз в `daysDelta` раз или раз в календарный месяц.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchFrequencyCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `deserializePart(Element element)`
  `int`
  `getDaysDelta()`
  Возвращает частоту отправки
  `String`
  `getMode()`
  `protected void`
  `serializePart(Element element)`
  `void`
  `setDaysDelta(int daysDelta)`
  Устанавливает частоту отправки.
  `void`
  `setMode(String mode)`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

  `deserialize, getClassName, getModuleId, serialize, setModuleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchFrequencyCondition

    public DispatchFrequencyCondition()

- ## Method Details

  - ### serializePart

    protected void serializePart(Element element)
    Specified by:
      `serializePart` in class `DispatchCondition`

  - ### deserializePart

    protected void deserializePart(Element element)
    Specified by:
      `deserializePart` in class `DispatchCondition`

  - ### getMode

    public String getMode()

  - ### setMode

    public void setMode(String mode)

  - ### setDaysDelta

    public void setDaysDelta(int daysDelta)
    Устанавливает частоту отправки.
    Parameters:
      `daysDelta` -

  - ### getDaysDelta

    public int getDaysDelta()
    Возвращает частоту отправки
    Returns: